/*******************************************************************************
 * Copyright (c) 2000, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwt.custom.SashFormData;

static import tango.text.Util;
import tango.util.Convert;

class SashFormData {

    long weight;

char[] getName () {
    char[] string = this.classinfo.name;
    int index = tango.text.Util.locatePrior( string ,'.' );
    if (index is string.length ) return string;
    return string[ index + 1 .. $ ];
}

/**
 * Returns a string containing a concise, human-readable
 * description of the receiver.
 *
 * @return a string representation of the event
 */
public override char[] toString () {
    return getName()~" {weight="~to!(char[])(weight)~"}"; //$NON-NLS-2$
}
}
